Jump to content

flyman30

Members
  • Posts

    275
  • Joined

  • Last visited

  • Days Won

    3

Everything posted by flyman30

  1. Oui j'ai réussi, mais en installant une version à jour de prestashop neuve donc vide en // sur le serveur et en utilisant le module (payant) MigrationPro pour transférer le contenu de la boutique en 1.7.6.9 dans la nouvelle boutique.. C'est long mais ça fonctionne !
  2. Merci beaucoup, il est bien dans le catalogue de module...
  3. Ma boutique est en 1.7.7.1 une nouvelle mise à jour est dispo, hors je ne trouve plus dans le BO le module de mise à jour 1- click upgrade, donc je me tourne vers Addon et là le module n'est semblet-il plus téléchargeable... Comment faire les mise à jour ?? Merci
  4. Retour après contact avec les concepteurs du theme, ils ont fait ce qu'il fallait pour que ça fonctionne, la table est créée et plus d'erreurs dans les logs. Merci Eolia.
  5. Un peu de recherche peut-être ??? Dans le BO "Performances" et en haut a droite "Mode Debug"
  6. Désolé il s'agit d'un fichier de Prestashop je ne me rappelle plus pourquoi je l'ai enregistré dans un dossier ou se trouvait le fichier modifié du controleur e-transaction, mes excuses.
  7. Sur le mien il est noté 3.0.17 mais je ne me souvient plus si j'ai du le changer à la main... Il me semble me rappeler qu'ils ont fait le boulot à moitié et qu'ils prétendent que ce module fonctionne en l'état alors qu'il faut appliquer la modif que vous connaissez. Le module est gratuit mais bon une banque qui se respecte se doit si elle veut fournir des moules de paiements a ses clients de vérifier qu'ils fonctionnent ! Au cas ou je vous mets le module que j'utilise .. etransactions-v3.0.17.zip
  8. En fait il faut : télécharger le module 3.0.17 chez e-transaction sur ton PC puis faire la modif désinstaller le module défectueux sur le serveur de la boutique réinstaller le module modifié sur le serveur
  9. On est sur Prestshop 1.7.7.1 maintenant ! Le module 3.0.17 modifié comme tu l'as fait fonctionne parfaitement. Est tu certain d'avoir modifié le fichier ETransactionsController.php dans : Modules -> e-transaction -> class -> ETransactionsController.php
  10. Le préfixe est bien ps_ il y a des tables de ce modules qui commence par an par exemple ps_anmenu... J'ai lancé un ticket au concepteur du module via addon, attendons qu'il me dise ce qu'il en est et je reviens vers vous. Merci en tous cas
  11. SELECT m.`id_aninstagram`, m.`position` FROM `ps_aninstagram` m WHERE m.`id_shop` = 1 AND `active` = 1 AND m.`id_shop` = 1 GROUP BY m.`id_aninstagram` MySQL a répondu : #1146 - La table 'admin_Rich.ps_aninstagram' n'existe pas Ça au moins c'est clair...
  12. Voilà : public static function getHooks($all = false) { $id_shop = Context::getContext()->shop->id; $query = 'SELECT m.`id_aninstagram`, m.`position` FROM `' . _DB_PREFIX_ . self::$definition['table'] . '` m WHERE m.`id_shop` = ' . (int)$id_shop . ' AND `active` = 1 AND m.`id_shop` = ' . (int)Context::getContext()->shop->id . ' GROUP BY m.`id_aninstagram`'; J'ai lancé un ticket sur Addon au concepteur de ce théme (Bunbury 2.60)
  13. $result = Db::getInstance(_PS_USE_SQL_SLAVE_)->executeS($query, true); if (!$all) { Ligne 203 $result = array_combine(array_column($result, 'position'), array_column($result, 'id_aninstagram')); } return $result;
  14. J'ai ça dans les logs : Je comprend que PHP s'attend a ce que array_combine() que le paramètre 1 soit array, null , mais qu'est-ce que je dois faire ?? J'utilise PHP 7.3.19 La boutique fonctionne normalement semble t-il... Merci.
  15. Enfin j'ai réussi il fallait dezipper le ZIP ps_emailalert2.2.1, renommer le fichier ps_emailalert2.2.1 en ps_emailalert et rezipper en nommant le ZIP ps_emailaler puis installer normalement le module comme les autres et vérifier les réglages... Un grand merci. A toute fin utile le fichier corrigé et utilisable. ps_emailalerts.zip
  16. Je l'ai bien renomer en ps_emailalert, télécharger dans répertoire modules de l'administration mais il n'apparait pas dans la liste et refuse de s'installer si je tente de le mettre dans installation de modules message d'erreur "You can't upload files of this type."
  17. Il semblerai qu'il manque le module mails alert (module gratuit mais plus dispo sur addon) si quelqu'un peut le fournir ce serai sympa.
  18. Bonjour, Notre serveur était sur une version de Plesk périmée, nous avons donc changé de serveur : Nouvelle installation de prestashop 1.7.7.1 et transfert des données via le module Migration Pro. https://www.pierre-sempe.com Thème : Bunbury 2.60 Code original Hébergeur serveur dédié chez Ikoula.fr PHP 7.3.19.1 MySql 10.3.27 MariaDB La boutique fonctionne, les commandes arrivent mais seul le mail de la banque part, aucun autre mails ne part lors d'une commande. Les commandes sont bien validé , le paiement aussi, les factures créées J'ai vérifié depuis le back office si je clique sur tester l'envoi de mails je reçois bien le mail de contrôle. Ai-je oublié quelques chose dans les réglages ? Merci.
  19. Currency.php fonctionne avec la boutique de prod en 1.7.6.9 lorsque je tente la mise à jour avec le module clic1upgrade à jour, ça ne fonctionne plus...
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More